2019-02-22 16:30 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004008RiseOfTheRobots[All Projects] Generalpublic2018-12-25 21:07
Reporterixien 
Assigned ToJOTDProject InfoRise of the Robots (Mirage/Time Warner)
http://www.whdload.de/games/RiseOfTheRobots.html
 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Summary0004008: RISE OF THE ROBOTS : Need 68020
DescriptionIs it normal the ECS version of the game requires a 68020 CPU and KS3.1?
TagsNo tags attached.
MachineCDTV
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.3
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0006548

JOTD (developer)

well, you don't need 68020 but you need 3.1. There's a 68000-compatible kickstart (A600), which is supported by whdload & this slave. Tried it?

note ~0006553

ixien (reporter)

Like with Bubble & Squeak, I tried again verifying my IPFs and installation pack but there is always the 68020 requirement pop-up at start, it's not a question of kickstart image.

I'm surprised, why the WHDLoad patch needs a kickstart 3.1 to start a game that runs on a simple A500 with a kickstart 1.3?

note ~0006554

StingRay (developer)

Req68020 flag is used in the ECS slave, this should be removed. :)

note ~0006556

ixien (reporter)

Cool! Take the opportunity to correct another problem: The slave is named riseoftherobotECS.slave while the icon tooltypes point to riseoftherobot.slave. This makes the game impossible to launch without modifying the tooltypes manually.

note ~0006558

JOTD (developer)

Stingray: that's because I've used kick3.1 and you need to set NO68020 explicitly else it's checked. Attached beta fixed slave

note ~0006559

ixien (reporter)

JOTD: It's perfectly working with this slave, many thanks. As your already working on it (and to finish with this one, I think), quitkey is not working on 68000. Is it possible to correct this point?
+Notes

-Issue History
Date Modified Username Field Change
2018-11-13 21:36 ixien New Issue
2018-11-16 12:04 Wepl Project WHDLoad => RiseOfTheRobots
2018-11-16 12:04 Wepl Assigned To => JOTD
2018-11-16 12:04 Wepl Status new => assigned
2018-12-15 18:52 JOTD Note Added: 0006548
2018-12-16 22:26 ixien Note Added: 0006553
2018-12-17 08:01 StingRay Note Added: 0006554
2018-12-17 20:18 ixien Note Added: 0006556
2018-12-17 23:31 JOTD File Added: RiseOfTheRobotsECS.zip
2018-12-17 23:31 JOTD Note Added: 0006558
2018-12-17 23:32 JOTD Status assigned => confirmed
2018-12-18 08:15 ixien Note Added: 0006559
2018-12-25 21:07 JOTD Status confirmed => closed
2018-12-25 21:07 JOTD Resolution open => fixed
+Issue History